# 75. التغيير: إنشاء "EquationMap" بشكل غير متزامن

## نظرة عامة

إنشاء "خريطة\_المعادلة" للحقل بشكل غير متزامن.

{% hint style="info" %}
النهج غير المتزامن يضع مهمة (إنشاء "`generateEquationMap`") للمعالجة وسيتم استلام الاشتراك فور انتهاء المعالجة.
{% endhint %}

## طبقات البيانات المدعومة

يمكن تنفيذ خرائط المعادلات على أي طبقة بيانات متاحة في GeoPard، بما في ذلك صور الأقمار الصناعية، مجموعات بيانات التربة، مجموعات بيانات المحصول، مجموعات بيانات التطبيق الفعلي، الطوبوغرافيا، خرائط المناطق، وحتى خرائط المعادلات الأخرى. سيختلف تنسيق `dataVariables` الإدخال اعتمادًا على طبقة البيانات المحددة.

```graphql
dataVariables: [
  # مجموعة بيانات المحصول
  {
    variable: "yield_variable"
    yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
    yieldAttribute: "<placeholder_of_yielddataset_attribute>"
  }, 
  
  # مجموعة بيانات التربة
  {
    variable: "soil_variable"
    soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
    soilAttribute: "<placeholder_of_soildataset_attribute>"
  },
  
  # مجموعة بيانات التطبيق الفعلي
  {
    variable: "asapplied_variable"
    asAppliedDatasetUuid: "<placeholder_of_asapplieddataset_uuid>"
    asAppliedAttribute: "<placeholder_of_asapplieddataset_attribute>"
  },
  
  # صورة القمر الصناعي
  {
    variable: "satelliteimage_variable"
    satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]
    index: "<placeholder_of_satelliteimage_vegetation_index>"
  },
  
  # خريطة الطوبوغرافيا
  {
    variable: "topography_variable"
    topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    topographyAttribute: "<placeholder_of_topography_attribute>"
  },
  
  # خريطة المعادلة
  {
    variable: "equationmap_variable"
    equationMapUuid: "<placeholder_of_equationmap_uuid>"
  },
  
  # خريطة المناطق (خريطة التحليل المتجه)
  {
    variable: "zonesmap_variable"
    vectorAnalysisMapUuid: "<placeholder_of_zonesmap_uuid>"
  }
]
```

## مثال

<pre class="language-graphql" data-overflow="wrap" data-line-numbers><code class="lang-graphql">mutation GenerateEquationMap {
  generateEquationMapAsync(input: {
    fieldUuid: "&#x3C;placeholder_of_field_uuid>"
    gridPixelSizeX: <a data-footnote-ref href="#user-content-fn-1">30</a>
    gridPixelSizeY: <a data-footnote-ref href="#user-content-fn-1">30</a>
    type: FERTILIZING
    equationAsText:"""calculated = yield_vol/prod + 0.5
if calculated >= 9:
    result = 35
elif calculated >=5  and calculated &#x3C; 9:
    result = 25
else:
    result = 15
    """
    equationResultVariable: "result"
    dataVariables: [{
      variable: "yield_vol"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Yld_Vol_We"
    }, {
      variable: "prod"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Prod_ac_h_"
    }]
  }) {
    uuid
    معرف_الحقل
    رمز_الحالة
  }
}
</code></pre>

[^1]: ضع أي حجم بكسل بالأمتار هنا


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/75.-altghyyr-inshaa-equationmap-bshkl-ghyr-mtzamn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
